%global commit 569be488d09ed68f7210ced91390b1eb9511b17e
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global ell_version 0.2

Name:           iwd
Version:        0.0
Release:        0.3.20171026git%{shortcommit}%{?dist}
Summary:        Wireless daemon for Linux
License:        LGPLv2+
URL:            https://01.org/iwd
Source0:        https://git.kernel.org/pub/scm/network/wireless/iwd.git/snapshot/%{name}-%{commit}.tar.gz
Source1:        https://www.kernel.org/pub/linux/libs/ell/ell-%{ell_version}.tar.xz

BuildRequires:  gcc
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  readline-devel
BuildRequires:  asciidoc
BuildRequires:  libtool autoconf automake

# Uses some private API atm., will be unbundled in future
Provides:       bundled(libell) = %{ell_version}


%description
The daemon and utilities for controlling and configuring the Wi-Fi network
hardware.


%prep
%setup -q -n %{name}-%{commit}
rm -rf ell
mkdir ell
tar xJf %{SOURCE1} --strip-components=1 ell-%{ell_version}/ell


%build
autoreconf -fi
%configure
%make_build V=1


%install
%make_install
install tools/hwsim %{buildroot}%{_bindir}


%files
%{_sysconfdir}/dbus-1/system.d/iwd-dbus.conf
%config(noreplace) %{_sysconfdir}/iwd.conf
%{_bindir}/iwctl
%{_bindir}/iwd
%{_bindir}/iwmon
%{_bindir}/hwsim
%{_mandir}/man1/iwmon.1*
%doc AUTHORS README TODO ChangeLog
%license COPYING


%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0-0.3.20171026git569be48
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Oct 29 2017 Lubomir Rintel <lkundrak@v3.sk> - 0.0-0.2.20171026git569be48
- Update to a later snapshot

* Sun Oct 22 2017 Lubomir Rintel <lkundrak@v3.sk> - 0.0-0.2.20171022git2c56501
- Added BR gcc
- Made build verbose
- Fixed license tag
- Addressed review issues (Robert-André Mauchin, #1505238):
- Dropped Group tag
- Added license and documentation texts

* Sun Oct 22 2017 Lubomir Rintel <lkundrak@v3.sk> - 0.0-0.1.20171022git2c56501
- Initial packaging
